function plot_cont_regret(  )

% number of repetitions
n_runs = 20;

% number of steps
n = 2000;

% regret over multiple runs and steps
cont_regret = zeros(n_runs, n);
cont_lambda_diff = zeros(n_runs, n);

for r=1:n_runs
    % load the setting
    s = gen_setting3(n);
    seed = r;
    filename = [s.idx '_alg' s.alg.full_name '_n' num2str(n) '_run' num2str(r) '_seed' num2str(seed) '.mat'];
    ws = load(filename);
    cont_regret(r, :) = ws.results.cont_regret;
    lambda_star = ws.results.lambda_star;
    lambda_tilde = ws.results.lambda_tilde;
    for t=1:n
        cont_lambda_diff(r,t) = norm(lambda_tilde(:,t)-lambda_star, 1);
    end
    %disp(num2str(lambda_tilde(1,n)));
    
end

avg_regret = mean(cont_regret, 1);
var_regret = var(cont_regret, 1);

avg_lambda_diff = mean(cont_lambda_diff, 1);
var_lambda_diff = var(cont_lambda_diff, 1);


interval = 100;

delta_regret = 3*sqrt(var_regret./n_runs);
createfigure_regret(1:n, avg_regret, delta_regret, delta_regret, interval, n);

rescaled_avg_regret = avg_regret.*sqrt(1:n);
rescaled_var_regret = var_regret.*[1:n];
delta_rescaled_regret = 3*sqrt(rescaled_var_regret./n_runs);
createfigure_rescaled_regret(1:n, rescaled_avg_regret, delta_rescaled_regret, delta_rescaled_regret, interval, n);

delta_avg_lamda_diff = 3*sqrt(var_lambda_diff./n_runs);
%createfigure_lambda_err(1:n, avg_lambda_diff, delta_avg_lamda_diff, delta_avg_lamda_diff, interval, n);

end
