function plot_regret(  )

% number of repetitions
n_runs = 10;

% number of steps
n = [50 100 250 500 1000];

% regret over multiple runs and steps
regret = zeros(n_runs, length(n));
lambda_diff = zeros(n_runs, length(n));

for r=1:n_runs
    for i=1:length(n)
        % load the setting
        s = gen_setting1(n(i));
        seed = r*i;
        filename = [s.idx '_alg' s.alg '_n' num2str(n(i)) '_run' num2str(r) '_seed' num2str(seed) '.mat'];
        ws = load(filename);
        regret(r, i) = ws.results.regret;
        lambda_star = ws.results.lambda_star;
        lambda_tilde = ws.results.lambda_tilde(:,n(i));
        lambda_diff(r,i) = norm(lambda_tilde-lambda_star, 1);
    end
end

avg_regret = mean(regret, 1);
var_regret = var(regret, 1);

avg_lambda_diff = mean(lambda_diff, 1);
var_lambda_diff = var(lambda_diff, 1);

errorbar(n, avg_regret, 3*sqrt(var_regret./n_runs));
figure
errorbar(n, avg_lambda_diff, 3*sqrt(var_lambda_diff./n_runs));
%plot(n, avg_regret.*sqrt(n));

end
