function [ s ] = gen_setting3( n )

s.idx = 'Exp3';

s.MAB.K = 2;
s.MAB.mu = [1.1 1]';
s.MAB.var = [0.1 2]';

assert(length(s.MAB.mu)==s.MAB.K);
assert(length(s.MAB.var)==s.MAB.K);

for i=1:s.MAB.K
    s.MAB.arms(i) = armGaussian(s.MAB.mu(i), s.MAB.var(i));
end

s.w = 0.33;

% UCB 
% s.alg.id = 'UCB';
% s.alg.params.rho_mu = sqrt(max(s.MAB.var));
% s.alg.full_name = s.alg.id;

% UCB-Rand
% s.alg.id = 'UCB-Rand';
% s.alg.params.rho_mu = sqrt(max(s.MAB.var));
% s.alg.full_name = s.alg.id;

% UCBV 
% s.alg.id = 'UCBV';
% s.alg.params.rho_mu = sqrt(max(s.MAB.var));
% s.alg.params.rho_var = 1.0;
% s.alg.full_name = s.alg.id;

% Epsilon-greedy
s.alg.id = 'EpsGreedy';
s.alg.params.eps = 0.0;
s.alg.full_name = [s.alg.id num2str(s.alg.params.eps)];

% Exploration-exploitation algorithm
% s.alg.id = 'ExplorExploit';
% s.alg.params.tau = ceil((s.MAB.K*n)^(2/3));
% s.alg.full_name = s.alg.id;

s.n = n;

end

